%define python python2

#%%define buildzvt %(pkg-config libzvt-2.0 && echo 1 || echo 0)
%define buildzvt 0
%define buildgtkhtml %(pkg-config libgtkhtml-2.0 && echo 1 || echo 0)
%define buildgnomevfs %(pkg-config gnome-vfs-2.0 && echo 1 || echo 0)
%define haveorbit %(pkg-config pyorbit-2 && echo 1 || echo 0)

Summary: The sources for the PyGNOME Python extension module.
Name: gnome-python2
Version: 1.99.14
Release: 5
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-python/gnome-python-%{version}.tar.bz2

Patch1: gnome-python-1.99.11-client-command.patch
Copyright: LGPL
Group: Development/Languages
BuildRoot: %{_tmppath}/gnome-python-root
BuildRequires: pygtk2-devel >= 1.99.14
BuildRequires: %{python}-devel
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: libgnomecanvas-devel >= 2.0.0
BuildRequires: libgnome-devel >= 2.0.0
BuildRequires: GConf2-devel >= 1.2.0
%if %{haveorbit}
Requires: gnome-python2-bonobo
BuildRequires: gnome-vfs2-devel >= 1.0.5
BuildRequires: pyorbit >= 1.99.3
BuildRequires: bonobo-activation-devel >= 1.0.0
BuildRequires: libbonobo-devel >= 2.0.0
BuildRequires: libbonoboui-devel >= 2.0.0
BuildRequires: nautilus-devel >= 2.0.0
BuildRequires: eel2-devel
BuildRequires: gnome-panel >= 2.0.0
%endif
%if %{buildzvt}
BuildRequires: libzvt-devel >= 2.0.0
%endif
%if %{buildgtkhtml}
BuildRequires: gtkhtml2-devel >= 1.99.9
%endif
%if %{buildgnomevfs}
BuildRequires: gnome-vfs2-devel >= 2.0.2
%endif
# needed for automake/autoconf to work right with multilib python
Buildrequires: automake >= 1.6.3-5


%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package applet
Version: %{version}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages
# applets from GNOME 1.4 are no longer supported - we only have 1 panel
Obsoletes: pygnome-applet

%description applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package capplet
Version: %{version}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages

%description capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package canvas
Version: %{version}
Summary: Python bindings for the GNOME Canvas.
Group: Development/Languages
Requires: libgnomecanvas >= 2.0.0
Requires: gtk2 >= 2.0.0
Requires: pygtk2 >= 1.99.14

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.

%package zvt
Version: %{version}
Summary: Python bindings for the ZVT terminal widget.
Group: Development/Languages
Requires: libgnomecanvas >= 2.0.0
Requires: gtk2 >= 2.0.0
Requires: pygtk2 >= 1.99.14
Requires: libzvt >= 2.0.0

%description zvt
This module contains a wrapper that allows use of the ZVT terminal
widget in Python.

%package nautilus
Version: %{version}
Summary: Python bindings for interacting with Nautilus.
Group: Development/Languages
Requires: pyorbit >= 1.99.3
Requires: nautilus >= 2.0.0

%description nautilus
This module contains a wrapper that allows access to Nautilus via Python.

%package bonobo
Version: %{version}
Summary: Python bindings for interacting with bonobo.
Group: Development/Languages
Requires: pyorbit >= 1.99.3
Requires: bonobo-activation >= 1.0.0
Requires: libbonobo >= 2.0.0
Requires: libbonoboui >= 2.0.0

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.

%package gconf
Version: %{version}
Summary: Python bindings for interacting with GConf
Group: Development/Languages
Requires: GConf2 >= 1.1.10

%description gconf
This module contains a wrapper that allows the use of GConf via Python.

%package gtkhtml2
Version: %{version}
Summary: Python bindings for interacting with gtkhtml2
Group: Development/Languages
Requires: gtkhtml2 >= 1.99.7
Obsoletes: pygnome-gtkhtml

%description gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python

%package gnomevfs
Version: %{version}
Summary: Python bindings for interacting with gnome-vfs
Group: Development/Languages
Requires: gnome-vfs2 >= 2.0.2

%description gnomevfs
This module contains a wrapper that allows the use of gnome-vfs via python.

%prep
%setup -q -n gnome-python-%{version}
%patch1 -p1 -b .client-command

%build
aclocal && automake && autoconf
export PYTHON=/usr/bin/python2.2
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%defattr(755,root,root,755)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/_gnomemodule.so
%if %{haveorbit}
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/uimodule.so
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/vfsmodule.so
%endif
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/gnome-python-2.0.pc
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs

%files applet
%defattr(755,root,root,755)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/appletmodule.so

%if %{haveorbit}
%files nautilus
%defattr(755,root,root,755)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/nautilusmodule.so
%defattr(644,root,root,755)
%doc examples/nautilus
%endif

%files canvas
%defattr(755,root,root,755)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/canvasmodule.so
%defattr(644,root,root,755)
%doc examples/canvas

%if %{buildzvt}
%files zvt
%defattr(755,root,root,755)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/zvtmodule.so
%defattr(644,root,root,755)
%doc examples/zvt
%endif

%if %{haveorbit}
%files bonobo
%defattr(755,root,root,755)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/bonobo/
%{_libdir}/python?.?/site-packages/gtk-2.0/bonobo/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/bonobo/*.so
%defattr(644,root,root,755)
%doc examples/bonobo
%endif

%files gconf
%defattr(755,root,root,755)
%{_libdir}/python?.?/site-packages/gtk-2.0/gconf*
%defattr(644,root,root,755)
%doc examples/gconf

%if %{buildgtkhtml}
%files gtkhtml2
%defattr(755,root,root,755)
%{_libdir}/python?.?/site-packages/gtk-2.0/gtkhtml*
%defattr(644,root,root,755)
%doc examples/gtkhtml2
%endif

%if %{buildgnomevfs}
%files gnomevfs
%defattr(755,root,root,755)
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/vfsmodule*
%defattr(644,root,root,755)
%doc examples/vfs
%endif

# old versions did not have .pyc and .pyo files in their file list
# remove them now, or bad things will now happen because of the new
# paths
%triggerun bonobo -- gnome-python2-bonobo < 1.99.14-5
rm -f /usr/lib/python2.2/site-packages/bonobo/__init__.{pyc,pyo}

%changelog
* Thu Feb  6 2003 Matt Wilson <msw@redhat.com> 1.99.14-5
- added a trigger to remove left-over bonobo .pyc and .pyo files (#79652)

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 1.99.14-4
- rebuilt against new python

* Tue Jan 28 2003 Jeremy Katz <katzj@redhat.com> 1.99.14-3
- libdir-ify

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 1.99.14-1
- update to 1.99.14

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.99.13
- add gnomevfs subpackage

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure

* Wed Oct 30 2002 Matt Wilson <msw@redhat.com>
- add gnome-python-2.0.pc to file list

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com>
- bind gnome_client_set_*_command

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug 20 2002 Matt Wilson <msw@redhat.com>
- obsolete pygtk-applet (#69830)

* Thu Aug  1 2002 Jonathan Blandford <jrb@redhat.com>
- make the GnomeDruid's fields accessible from python

* Tue Jul 30 2002 Matt Wilson <msw@redhat.com>
- official 1.99.11 release

* Thu May 30 2002 Matt Wilson <msw@redhat.com>
- s/Gconf/GConf/

* Thu May 30 2002 Jeremy Katz <katzj@redhat.com>
- add gtkhtml2 and gconf subpackages

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- add some defattrs

* Fri May 24 2002 Matt Wilson <msw@redhat.com>
- added bonobo, nautilus subpackages.  re-enabled applet subpackage

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com>
- subpackages will need __init__ included in them

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- doesn't obsolete pygnome - it can be installed side-by-side
- added _gnomemodule.so to base package filelist

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- added __init__ files to gnome-python main package

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- new gnome-python package based on old pygtk package.
